Package twisted :: Package mail :: Module protocols :: Class VirtualPOP3

[show private | hide private]
[frames | no frames]

## Class VirtualPOP3

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                        POP3 --+
                               |
                              VirtualPOP3

Virtual hosting POP3.

Method Summary
| `authenticateUserAPOP(self, user, digest)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `POP3`)
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| `do_APOP(self, user, digest)` (inherited from `POP3`)
| `do_DELE(self, i)` (inherited from `POP3`)
| `do_LIST(self, i)` (inherited from `POP3`)
| ``do_NOOP`(self)` Perform no operation. (inherited from `POP3`)
| `do_QUIT(self)` (inherited from `POP3`)
| `do_RETR(self, i)` (inherited from `POP3`)
| ``do_RSET`(self)` Unset all deleted message flags (inherited from `POP3`)
| `do_STAT(self)` (inherited from `POP3`)
| `do_TOP(self, i, size)` (inherited from `POP3`)
| `do_UIDL(self, i)` (inherited from `POP3`)
| `failResponse(self, message)` (inherited from `POP3`)
| `getMessageFile(self, i)` (inherited from `POP3`)
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received. (inherited from `POP3`)
| ``makeConnection`(self, transport)` Make a connection to a transport and a server. (inherited from `BaseProtocol`)
| `processCommand(self, command, *args)` (inherited from `POP3`)
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `LineReceiver`)
| ``sendLine`(self, line)` Sends a line to the other end of the connection. (inherited from `LineReceiver`)
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)
| `successResponse(self, message)` (inherited from `POP3`)

Class Variable Summary
`string` | `domainSpecifier`

Class Variable Details

### domainSpecifier

  Type:
    `string`
  Value:

        '@'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:08 2003 | http://epydoc.sf.net